Bug 473734 - openjdk renders incorrectly for jeuclid
openjdk renders incorrectly for jeuclid
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
Depends On:
Blocks: 472848
  Show dependency treegraph
Reported: 2008-11-30 00:01 EST by Brennan Ashton
Modified: 2008-12-02 02:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 01:57:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brennan Ashton 2008-11-30 00:01:53 EST
I know this is not going to be a helpful initial bug report, as I do not even fully understand what the issue is.  I am packaging up jeuclid for fedora and I have it compiling fine with openjdk, the issue is that the images that are being rendered are all messed up.  This works with sun jdk.

here is the srpm:

you just need jeuclid and jeuclid-mathviewer
The launcher script:

. /usr/share/java-utils/java-functions


set_classpath "commons-logging commons-cli commons-lang fop jcip-annotations xml
graphics-commons batik-all jeuclid-core jeuclid-mathviewer commons-io"

run "$@"

Here is the test data that can be pasted in: http://jeuclid.sourceforge.net/example5.html as well as a correct rendering.  What I get with openjdk is:


If there is anything else I can provide that will help, just ask.  I really did not know what to put in this report.
Comment 1 Mark Wielaard 2008-11-30 05:55:40 EST
Could you retry with the version in Fedora 10? There were some font metric calculation fixes recently, and I believe those did already go into the F10 package.
Comment 2 Brennan Ashton 2008-12-01 01:57:18 EST
Looks great on 10, I had not gotten around to getting a 10 box up.
Comment 3 Dominik 'Rathann' Mierzejewski 2008-12-01 05:28:10 EST
Will this fix be propagated to F-9?
Comment 4 Brennan Ashton 2008-12-01 19:27:37 EST
upstream would also like to know when it was fixed?  Is is the correct bug?
Comment 5 Mark Wielaard 2008-12-02 02:19:43 EST
(In reply to comment #4)
> upstream would also like to know when it was fixed?  Is is the correct bug?
> http://hg.openjdk.java.net/jdk7/2d/jdk/rev/9cdababf6179

That is one of the font patches I applied upstream to icedtea yes:
That one in particular was for upstream bug:

Note You need to log in before you can comment on or make changes to this bug.